graphics/libkdcraw - The NetBSD Packages Collection

KDE digital camera raw image library wrapper

Libkdcraw is a C++ interface around the dcraw program used to decode
RAW picture files.  The library documentation is available in header
files.

This library is used by kipi-plugins, digiKam, and other kipi host
programs.

Build dependencies

devel/extra-cmake-modules pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/cmake devel/pkgconf

Runtime dependencies

graphics/libraw graphics/libraw x11/qt5-qtbase graphics/libraw x11/qt5-qtbase

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibkdcraw-20.04.1nb2.tgz
NetBSD 8.0earmv7hflibkdcraw-20.04.1nb2.tgz
NetBSD 8.0i386libkdcraw-20.04.1nb1.tgz
NetBSD 8.0i386libkdcraw-20.04.1nb2.tgz
NetBSD 8.0powerpclibkdcraw-20.04.1nb1.tgz
NetBSD 8.0powerpclibkdcraw-20.04.1nb2.tgz
NetBSD 8.0powerpclibkdcraw-20.04.1nb2.tgz
NetBSD 8.0x86_64libkdcraw-20.04.1nb1.tgz
NetBSD 8.0x86_64libkdcraw-20.04.1nb2.tgz
NetBSD 9.0aarch64libkdcraw-20.04.1nb2.tgz
NetBSD 9.0aarch64libkdcraw-20.04.1nb1.tgz
NetBSD 9.0aarch64libkdcraw-20.04.1nb2.tgz
NetBSD 9.0alphalibkdcraw-20.04.1nb2.tgz
NetBSD 9.0alphalibkdcraw-20.04.1nb1.tgz
NetBSD 9.0alphalibkdcraw-20.04.1nb2.tgz
NetBSD 9.0earmv6hflibkdcraw-20.04.1nb2.tgz
NetBSD 9.0earmv6hflibkdcraw-20.04.1nb1.tgz
NetBSD 9.0earmv6hflibkdcraw-20.04.1nb2.tgz
NetBSD 9.0earmv6hflibkdcraw-20.04.1nb2.tgz
NetBSD 9.0earmv7hflibkdcraw-20.04.1nb2.tgz
NetBSD 9.0earmv7hflibkdcraw-20.04.1nb1.tgz
NetBSD 9.0earmv7hflibkdcraw-20.04.1nb2.tgz
NetBSD 9.0earmv7hflibkdcraw-20.04.1nb2.tgz
NetBSD 9.0i386libkdcraw-20.04.1nb1.tgz
NetBSD 9.0i386libkdcraw-20.04.1nb2.tgz
NetBSD 9.0mips64eblibkdcraw-20.04.1nb2.tgz
NetBSD 9.0mips64eblibkdcraw-20.04.1nb1.tgz
NetBSD 9.0mips64eblibkdcraw-20.04.1nb2.tgz
NetBSD 9.0powerpclibkdcraw-20.04.1nb2.tgz
NetBSD 9.0powerpclibkdcraw-20.04.1nb1.tgz
NetBSD 9.0sparc64libkdcraw-20.04.1nb2.tgz
NetBSD 9.0sparc64libkdcraw-20.04.1.tgz
NetBSD 9.0sparc64libkdcraw-20.04.1nb1.tgz
NetBSD 9.0sparc64libkdcraw-20.04.1nb2.tgz
NetBSD 9.0x86_64libkdcraw-20.04.1nb2.tgz
NetBSD 9.0x86_64libkdcraw-20.04.1nb2.tgz
NetBSD 9.0x86_64libkdcraw-20.04.1nb2.tgz
NetBSD 9.0x86_64libkdcraw-20.04.1nb1.tgz
NetBSD 9.0x86_64libkdcraw-20.04.1nb2.tgz
NetBSD 9.0x86_64libkdcraw-20.04.1nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.